# [BETA] Delete a release plan safeguard DELETE https://app.unleash-instance.example.com/api/admin/projects/{project}/features/{featureName}/environments/{environment}/release-plans/{planId}/safeguards/{safeguardId} **Enterprise feature** **[BETA]** This API is in beta state, which means it may change or be removed in the future. Deletes a safeguard by its ID for a specific feature, environment, and release plan. Reference: https://docs.getunleash.io/api/release-templates/delete-release-plan-safeguard ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: admin-api version: 1.0.0 paths: /api/admin/projects/{project}/features/{featureName}/environments/{environment}/release-plans/{planId}/safeguards/{safeguardId}: delete: operationId: delete-release-plan-safeguard summary: '[BETA] Delete a release plan safeguard' description: >- **Enterprise feature** **[BETA]** This API is in beta state, which means it may change or be removed in the future. Deletes a safeguard by its ID for a specific feature, environment, and release plan. tags: - subpackage_releaseTemplates parameters: - name: project in: path required: true schema: type: string - name: featureName in: path required: true schema: type: string - name: environment in: path required: true schema: type: string - name: planId in: path required: true schema: type: string - name: safeguardId in: path required: true schema: type: string - name: Authorization in: header description: API key needed to access this API required: true schema: type: string responses: '204': description: This response has no body. content: application/json: schema: $ref: >- #/components/schemas/Release Templates_deleteReleasePlanSafeguard_Response_204 '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: application/json: schema: $ref: >- #/components/schemas/DeleteReleasePlanSafeguardRequestUnauthorizedError '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: application/json: schema: $ref: >- #/components/schemas/DeleteReleasePlanSafeguardRequestForbiddenError '404': description: The requested resource was not found. content: application/json: schema: $ref: >- #/components/schemas/DeleteReleasePlanSafeguardRequestNotFoundError servers: - url: https://app.unleash-instance.example.com components: schemas: Release Templates_deleteReleasePlanSafeguard_Response_204: type: object properties: {} description: Empty response body title: Release Templates_deleteReleasePlanSafeguard_Response_204 DeleteReleasePlanSafeguardRequestUnauthorizedError: type: object properties: id: type: string description: The ID of the error instance name: type: string description: The name of the error kind message: type: string description: A description of what went wrong. title: DeleteReleasePlanSafeguardRequestUnauthorizedError DeleteReleasePlanSafeguardRequestForbiddenError: type: object properties: id: type: string description: The ID of the error instance name: type: string description: The name of the error kind message: type: string description: A description of what went wrong. title: DeleteReleasePlanSafeguardRequestForbiddenError DeleteReleasePlanSafeguardRequestNotFoundError: type: object properties: id: type: string description: The ID of the error instance name: type: string description: The name of the error kind message: type: string description: A description of what went wrong. title: DeleteReleasePlanSafeguardRequestNotFoundError securitySchemes: apiKey: type: apiKey in: header name: Authorization description: API key needed to access this API bearerToken: type: http scheme: bearer description: API key needed to access this API, in Bearer token format ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/project/features/featureName/environments/environment/release-plans/planId/safeguards/safeguardId" payload = {} headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.delete(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/project/features/featureName/environments/environment/release-plans/planId/safeguards/safeguardId'; const options = { method: 'DELETE', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/project/features/featureName/environments/environment/release-plans/planId/safeguards/safeguardId" payload := strings.NewReader("{}") req, _ := http.NewRequest("DELETE", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/project/features/featureName/environments/environment/release-plans/planId/safeguards/safeguardId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://app.unleash-instance.example.com/api/admin/projects/project/features/featureName/environments/environment/release-plans/planId/safeguards/safeguardId") .header("Authorization", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('DELETE', 'https://app.unleash-instance.example.com/api/admin/projects/project/features/featureName/environments/environment/release-plans/planId/safeguards/safeguardId', [ 'body' => '{}', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/project/features/featureName/environments/environment/release-plans/planId/safeguards/safeguardId"); var request = new RestRequest(Method.DELETE); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/project/features/featureName/environments/environment/release-plans/planId/safeguards/safeguardId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```